> ## Documentation Index
> Fetch the complete documentation index at: https://docs.composo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Attach Rating Endpoint



## OpenAPI

````yaml https://platform.composo.ai/api/evals-docs/openapi.json post /api/v1/annotations/rating
openapi: 3.1.0
info:
  title: Evals API Documentation
  description: API documentation for the evaluation endpoints
  version: 1.0.0
servers:
  - url: https://platform.composo.ai
    description: Production server
security: []
paths:
  /api/v1/annotations/rating:
    post:
      tags:
        - Annotations
      summary: Attach Rating Endpoint
      operationId: attach_rating_endpoint_api_v1_annotations_rating_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AttachRatingRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttachRatingResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AttachRatingRequest:
      properties:
        trace_id:
          type: string
          format: uuid
          title: Trace Id
          description: The trace (request) ID to annotate
        rating:
          type: boolean
          title: Rating
          description: 'Rating: true = positive, false = negative'
      additionalProperties: false
      type: object
      required:
        - trace_id
        - rating
      title: AttachRatingRequest
    AttachRatingResponse:
      properties:
        trace_id:
          type: string
          format: uuid
          title: Trace Id
        rating:
          type: boolean
          title: Rating
      type: object
      required:
        - trace_id
        - rating
      title: AttachRatingResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````